# $Revision: 1.3 $, $Date: 2011/12/12 12:58:56 $
%define pkgname coderay
Summary:	Ruby library for syntax highlighting
Name:		ruby-%{pkgname}
Version:	1.0.4
Release:	1
License:	LGPL
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	29b290fccf039aa13c4b34a97b505d96
Group:		Development/Languages
URL:		http://coderay.rubychan.de/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
CodeRay is a Ruby library for syntax highlighting.
I try to make CodeRay easy to use and intuitive,
but at the same time fully featured, complete, fast and
efficient. Usage is simple: CodeRay.scan(code, :ruby).div 

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README_INDEX.rdoc -o -print | xargs touch --reference %{SOURCE0}

%{__sed} -i -e 's|/usr/bin/env ruby|%{__ruby}|' bin/coderay*

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -fr ri/{GZip,String}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/coderay* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README_INDEX.rdoc
%attr(755,root,root) %{_bindir}/coderay
%{ruby_rubylibdir}/%{pkgname}.rb
%{ruby_rubylibdir}/%{pkgname}

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/CodeRay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-coderay.spec,v $
Revision 1.3  2011/12/12 12:58:56  baggins
- 1.0.4

Revision 1.2  2011/07/08 11:16:39  baggins
- 0.9.8

Revision 1.1  2010/03/02 23:17:22  baggins
- initial revision

